/* 
 * Author: Phil DeMonaco
 */

#ifndef _RPSLS_H
#define	_RPSLS_H

// server defines
#define CLIENT1 0
#define CLIENT2 1
#define TIE 3
#define DEFAULT_PORT 25000
#define MAX_CLIENTS 2

// message defines
#define MAX_ARG_SIZE 11
#define CMD_SIZE 5
#define HEAD_SIZE 7
#define LEN_SIZE 3
#define MSG_SIZE 16
#define SRV_CMD_COUNT 2
// Commands
#define FORFEIT "FRFT"
#define GET_NAME "NAME"
#define LOSS "GLSS"
#define LOST_SERVER "SRVL"
#define QUIT "QUIT"
#define ROUND_LOSS "RLSS"
#define ROUND_TIE "RTIE"
#define ROUND_WIN "RWIN"
#define SET_OPPONENT "OPNT"
#define TURN "TURN"
#define WIN "GWIN"
// Arguments
#define EMPTY_ARG "          "

// game options
#define ROCK '0'
#define PAPER '1'
#define SCISSORS '2'
#define LIZARD '3'
#define SPOCK '4'

// user input
#define YES 'y'
#define NO 'n'

// Display Round output
#define LOSS_STR "Your %s was %s by %s's %s"
#define LOSS_STR_SCISSORS "Your %s were %s by %s's %s"
#define WIN_STR "Your %s %s %s's %s"



#endif	/* _RPSLS_H */

